kf5-messagelib (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:48:34 +0100

kf5-messagelib (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)
  * Update install files.
  * Update symbols.
  * Update lintian overrides.

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:57:42 +0100

kf5-messagelib (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:35:48 +0100

kf5-messagelib (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:10:30 +0100

kf5-messagelib (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 21:09:46 +0100

kf5-messagelib (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)
  * Update install files.
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:57:01 +0100

kf5-messagelib (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)
  * Update synbols.

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:19:30 +0000

kf5-messagelib (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update debian/watch
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:26:03 +0000

kf5-messagelib (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:33:54 +0000

kf5-messagelib (4:21.12.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:30:57 +0000

kf5-messagelib (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:26:18 +0000

kf5-messagelib (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)
  * Update install files.
  * Update symbols.
  * Update lintian.

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 23:32:37 +0000

kf5-messagelib (4:21.08.3-0ubuntu2) jammy; urgency=medium

  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Tue, 16 Nov 2021 20:33:16 +0000

kf5-messagelib (4:21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:48:30 +0000

kf5-messagelib (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)
  * Update symbols files

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:41:23 +0100

kf5-messagelib (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:11:13 +0100

kf5-messagelib (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 13:05:49 +0100

kf5-messagelib (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Mon, 19 Jul 2021 10:45:09 +0100

kf5-messagelib (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:52:33 +0100

kf5-messagelib (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:50:05 +0100

kf5-messagelib (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:16:29 +0100

kf5-messagelib (4:21.04.0-0ubuntu1) impish; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.04.0)

  [ José Manuel Santamaría Lema ]
  * Refreshed patch enable_debianabimanager.diff
  * Update symbols

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:47:29 +0100

kf5-messagelib (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:29:42 +0000

kf5-messagelib (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 10:03:02 +0000

kf5-messagelib (4:20.12.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Jan 2021 23:16:12 +0000

kf5-messagelib (4:20.12.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.0)
  * Update build depends.
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Dec 2020 14:36:13 +0000

kf5-messagelib (4:20.08.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.08.3)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Nov 2020 10:00:27 +0000

kf5-messagelib (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 14:02:26 +0100

kf5-messagelib (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)
  * Refresh patches.
  * Update install files.
  * Update symbols.
  * Drop depreciated followupreminder and sendlater build deps, and
    from development package deps.

 -- Rik Mills <rikmills@kde.org>  Wed, 26 Aug 2020 12:22:26 +0100

kf5-messagelib (4:19.12.3-0ubuntu1) focal; urgency=medium

  * Move qdebug categories files to new location.
  * Move KNewStuff rc file to new location.
  * New optional build depend on libqca-qt5-2-dev
  * New upstream release (19.12.3)
  * Update install files.
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Apr 2020 14:00:13 +0100

kf5-messagelib (4:19.04.3-0ubuntu2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:17:54 +0100

kf5-messagelib (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 23 Jul 2019 18:56:54 +0100

kf5-messagelib (4:18.12.3-0ubuntu3) eoan; urgency=medium

  * Make _ZN9QHashData9hasShrunkEv symbol optional to prevent build
    failures

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 14 Jul 2019 12:46:03 +0100

kf5-messagelib (4:18.12.3-0ubuntu2) disco; urgency=medium

  * No-change rebuild for fixed akonadi server.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 07 Apr 2019 17:47:47 +0100

kf5-messagelib (4:18.12.3-0ubuntu1) disco; urgency=medium

  * Update symbols.
  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 16 Mar 2019 15:07:16 +0000

kf5-messagelib (4:18.04.3-0ubuntu4) disco; urgency=medium

  * Follow Debian dropping of autotests.

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 06 Feb 2019 19:50:04 +0000

kf5-messagelib (4:18.04.3-0ubuntu3) cosmic; urgency=medium

  * Sync some debian unstable changes:
    - Update watch file.
    - Update lintian overrides.
    - Update upstream metadata.
    - Update debian/copyright.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 26 Aug 2018 13:21:48 +0100

kf5-messagelib (4:18.04.3-0ubuntu2) cosmic; urgency=medium

  * Skip autotests for now. Upstream release tars and CI tests are
    consistently broken, so running them here has little or no worth
    unless that changes.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 25 Aug 2018 14:28:32 +0100

kf5-messagelib (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  [ Walter Lapchynski ]
  * Removing MISSING symbols. 

  [ Rik Mills ]
  * New upstream release (18.03.80)
  * debian/patches: Drop upstream applied patches
  * Update symbols
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

  [ Simon Quigley ]
  * Bump sonames with the Debian ABI Manager due to binary incompatible
    changes:
    - libkf5mimetreeparser5abi2 -> libkf5mimetreeparser5abi3
    - libkf5messageviewer5abi4 -> libkf5messageviewer5abi5

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 18:55:07 +0100

kf5-messagelib (4:17.12.3-0ubuntu5) cosmic; urgency=medium

  * Add upstream patrch to fix build with Qt 5.11
  * Update symbols for Qt 5.11

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 20 Jul 2018 05:58:08 +0100

kf5-messagelib (4:17.12.3-0ubuntu4) cosmic; urgency=medium

  * Skip tests on architectures we do not support

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 18 May 2018 18:21:06 +0100

kf5-messagelib (4:17.12.3-0ubuntu3) bionic; urgency=medium

  * Add upstream_fix_includes_*.diff in order to fix acc test
  * Add libgrantlee5-dev to libkf5messageviewer-dev depends, so we fix the acc
    autopkgtest

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 27 Mar 2018 18:44:39 +0100

kf5-messagelib (4:17.12.3-0ubuntu2) bionic; urgency=medium

  * Disable unreliable acc header test

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 17 Mar 2018 07:56:59 +0000

kf5-messagelib (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:33:44 +0000

kf5-messagelib (4:17.12.2-0ubuntu2) bionic; urgency=medium

  * Add unreliable showonlymimeparttest to kubuntu_disable_failing_tests
    patch

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 01 Mar 2018 15:01:11 +0000

kf5-messagelib (4:17.12.2-0ubuntu1) bionic; urgency=medium

  [ Rik Mills ]
  * Update symbols from build logs
  * Update install files
  * Refresh patches
  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)
  * Update symbols from build logs

  [ Clive Johnston ]
  * Refresh kubuntu_disable_failing_tests.diff patch

  [ Simon Quigley ]
  * Update symbols from build logs.
  * Bump sonames with the Debian ABI Manager due to binary incompatible
    changes:
    - libkf5mimetreeparser5abi1 -> libkf5mimetreeparser5abi2

  [ Clive Johnston ]
  * Bump sonames with the Debian ABI Manager due to binary incompatible
    changes:
    - libkf5messageviewer5abi3 -> libkf5messageviewer5abi4
  * Update symbols from amd64 buildlog following abi bump

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 28 Feb 2018 09:46:05 +0000

kf5-messagelib (4:17.08.3-0ubuntu2) bionic; urgency=medium

  * Rebuild against new qtbase ABI 5.9.3.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 18 Dec 2017 19:44:38 +0100

kf5-messagelib (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * Bump sonames with debianabimanager due to binary incompatible
    changes:
    - libkf5webengineviewer5abi2 -> libkf5webengineviewer5abi3
    - libkf5messageviewer5abi2 -> libkf5messageviewer5abi3
    - libkf5messagecore5abi1 -> libkf5messagecore5abi2
    - libkf5templateparser5abi1 -> libkf5templateparser5abi2
  * Update symbols from build logs
  * Refresh patches
  * New build depend on libkf5contacteditor-dev
  * Mark as optional a symbol gone with GCC 7
  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:13:18 +0000

kf5-messagelib (4:17.04.3-0ubuntu1) artful; urgency=medium

  [ Rik Mills ]
  * Bump sonames with debianabimanager due to binary incompatible
    changes:
    - libkf5messagecomposer5abi1 -> libkf5messagecomposer5abi2
    - libkf5templateparser5 -> libkf5templateparser5abi1
    - libkf5webengineviewer5abi1 -> libkf5webengineviewer5abi2
    - libkf5mimetreeparser5 -> libkf5mimetreeparser5abi1
    - libkf5messageviewer5abi1 -> libkf5messageviewer5abi2
  * Refresh patches
  * Update symbols from build logs for GCC7 and Qt 5.9

  [ José Manuel Santamaría Lema ]
  * New upstream release (17.04.1)
  * Refresh enable_debian_abi_manager.diff
  * Update symbols, removing some leaked private ones.
  * Install locale files (cherry-pick from Neon)
  * Add Breaks/Replaces against kde-l10n (cherry-pick from Neon)
  * Refresh and extend kubuntu_disable_gpgagent_tests.diff to cover the
    templateparser tests.
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 21 Aug 2017 14:33:10 +0100

kf5-messagelib (4:16.12.3-0ubuntu1) artful; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://
  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.
  * Handle ABI breaks:
    libkf5webengineviewer5 -> libkf5webengineviewer5abi1
    libkf5messageviewer5 -> libkf5messageviewer5abi1
    libkf5messagelist5 -> libkf5messagelist5abi1
    libkf5messagecore5 -> libkf5messagecore5abi1
    libkf5messagecomposer5 -> libkf5messagecomposer5abi1
  * Update symbols files for new binary packages:
    - libkf5mimetreeparser5
  * Add libkf5messageviewer-plugins package
  * Update -dev packages unsing the acc test, also add a couple of files
    to libkf5messagecomposer-dev.acc.in so the acc test won't fail.
  * Add kubuntu_disable_gpgagent_tests.diff
  * Replace oxygen5-icon-theme autopkgtest depend with breeze-icon-
    theme.
  * Add kubuntu_disable_failing_tests.diff
  * New upstream release (16.12.3)

  [ Rik Mills ]
  * New build depend on libkf5syntaxhighlighting-dev
  * Update install files
  * Multi-archify & update descriptions
  * Lintian overrides on source-is-missing webengineviewer
  * Update gpgme build depends
  * New upstream release (16.12.0)
  * Update QtWebEngine and QtWebChannel dependency dev package names to
    match debian packaging
  * New upstream release (16.12.1)

  [ Clive Johnston ]
  * New build depend on qtbase5-private-dev, thanks to Raymond at
    KDE Neon for pointing this out.

  [ Darin Miller ]
  * New upstream release (16.12.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 01 May 2017 20:27:51 +0100

kf5-messagelib (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  ** SNAPSHOT build @755b204350bffafa7b03a314a3b7e616126ec9c7 **

  [ Maximiliano Curia ]
  ** SNAPSHOT build @cbaf86e9e443a3ef0469738b91e61ba59e7c0789 **

  * Initial release.
  * Update symbols files.
  * Add dependency needed to fulfill the message composer cmake file

  [ Automatic packaging ]
  * Update symbols files.
  * Update symbols files.

  [ Clive Johnston ]
  * New upstream release, bugfix 16.04.1
  * Sync with Debian for initial packaging
  * Update VCS fields to point to Launchpad git repo
  * Adding breaks/replaces for libkf5messageviewer5
  * Adding version to breaks and replaces mentioned above
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)
  * Refreshing symbols and removing MISSING

  [ Rik Mills ]
  * Build deps on libqt5webchannel-dev & libqt5webengine5-dev
  * Add library packages for libkf5webengineviewer and libkf5mimetreeparser
    and generate symbols
  * Refresh existing symbols
  * Fix spelling error reported by lintian
  * Multi-archify libkf5templateparser5
  * New build depend on qtpositioning5-dev
  * Fix & remove merge markers

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:32:13 +0200

